import request from '@/utils/request'

// 查询算法场景列表
export function listBase(query) {
  return request({
    url: '/system/algorithm/scene/base/list',
    method: 'get',
    params: query
  })
}

// 查询算法场景详细
export function getBase(id) {
  return request({
    url: '/system/algorithm/scene/base/' + id,
    method: 'get'
  })
}

// 新增算法场景
export function addBase(data) {
  return request({
    url: '/system/algorithm/scene/base',
    method: 'post',
    data: data
  })
}

// 修改算法场景
export function updateBase(data) {
  return request({
    url: '/system/algorithm/scene/base',
    method: 'put',
    data: data
  })
}

// 删除算法场景
export function delBase(id) {
  return request({
    url: '/system/algorithm/scene/base/' + id,
    method: 'delete'
  })
}
